apiVersion: apps/v1
kind: Deployment
metadata:
  name: servers-service-deployment
  labels:
    app: servers-service
spec:
  replicas: 1
  selector:
    matchLabels:
      app: servers-service
  template:
    metadata:
      labels:
        app: servers-service
    spec:
      imagePullSecrets:
          - name: gitlab-registry-secret
      containers:
      - name: servers-service
        image: registry.gitlab.com/cpelyon/5irc-minekloud/api/servers-service:latest
        ports:
        - containerPort: 8080
        env:
        - name: APP_PORT
          value: "8080"
        - name: DATABASE_HOST
          value: "postgresql.database.svc.cluster.local"
        - name: DATABASE_USER
          value: "postgres"
        - name: HYPERKUBE_URL
          value: "http://hyperkube-service.default.svc.cluster.local:8080/api/hyperkube"
        resources:
          requests:
            cpu: 50m
            memory: 50M
          limits:
            cpu: 250m
            memory: 1G
